﻿using Microsoft.AspNetCore.SignalR;

namespace LiveChat.Server.Hubs;

public class ChatHub : Hub
{
    public async Task SendMessageRoom(string user, string message, string room)
    {
        using (var db = new ChattingContext())
        {
            var messageData = new RoomChatMessage()
            {
                User = user,
                Message = message,
                RoomId = room,
            };
            db.RoomChatMessages.Add(messageData);
            await Clients.Group(room).SendAsync("ReceiveMessage", user, message);
            db.SaveChanges();
        }
    } 

    public async Task JoinRoom(string room, string user)
    {
        await Groups.AddToGroupAsync(Context.ConnectionId, room);
        await Groups.AddToGroupAsync(Context.ConnectionId, "Folk_i_rom");
        await Clients.Caller.SendAsync("ConnectionIdReceive", Context.ConnectionId);
    }
}

